<?php
/*****************************************************************************
 PiXfr Photo Module (PPM)  Version 1.1.1 RC2
 Photo galleries generator
-----------------------------------------------------------------------------
 index file for PPM as a standalone application
 -----------------------------------------------------------------------------
 Copyright (c) 2000,2001 by Yann Courtaux (pixman@pixfr.com)
 http://pixfr.com

 This program is free software.
 You can redistribute it and/or modify it under the terms of the GNU General
 Public License as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details
 (attached file LICENSE).
******************************************************************************/
define('PPM_EXT','.php'); /* PHP file extensions used on your site... */

/*
_PN_DIR  =  ABSOLUTE path of your site
ie /home/sites/mysite/ on unix, C:/sites/mysite/ on win32
If HTTP_SERVER_VARS["SCRIPT_FILENAME"] is not filed by your server, you'll have to hardcode _PN_DIR  */

define('_PN_DIR',eregi_replace('index'.PPM_EXT,'',$HTTP_SERVER_VARS["SCRIPT_FILENAME"]));

$ModLangDir  = 'lang';
$ModDir      = '';

define('MOD_IMG_DIR','images');

// How to call the module...
define('PPMF','index'.PPM_EXT); 	  // nothing means index file
define('PPMVAR','?');

define('PPM_NUKE',$ppmNukeType);

include('config'.PPM_EXT);

$adminmail = $ppmAdminMail;

if (isset($newlang)) {
    $langppm = $newlang;
    setcookie("langppm",$newlang,time()+31536000);
} elseif(!isset($langppm)) {
    $langppm = $ppmLanguage;
    setcookie("langppm",$ppmLanguage,time()+31536000);
}
$lang = $langppm ;

// Nuke-Like functions
// These functions can be modified to suite your needs...
function OpenTable() {
  echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"0\" align=\"center\" width=\"100%\"><tr><td width=\"100%\">\n";
}
function CloseTable() {
  echo "</td></tr></table>\n";
}
function OpenTable2() {
  echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"0\" align=\"center\"><tr><td>\n";
}
function CloseTable2() {
  echo "</td></tr></table>\n";
}


// Relative path of THE galleries directory (without / at the end)
define('PPM_REL_DIR',PPM_DIR);

// Absolute path of THE galleries directory (without / at the end)
define('PPM_ABS_DIR',_PN_DIR.PPM_REL_DIR);

// ML integration
if (isset($newlang)) {
   $lang = $newlang;
}

$ppm_standalone = '_sa';

// PPM CORE //
include($ModDir.'core'.PPM_EXT);

// standalone footer
include('footer_sa'.PPM_EXT);
?>
