<?php
/**************************************************************************
 PiXfr Photo Module (PPM)  Version 1.1.1
 Photo galleries generator
 --------------------------------------------------------------------------
 PPM config file
 --------------------------------------------------------------------------
 Copyright (c) 2000,2001 by Yann Courtaux (pixman@pixfr.com)
 http://pixfr.com

 This program is free software.
 You can redistribute it and/or modify it under the terms of the GNU
 General Public License as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 for more details (attached file LICENSE).
***************************************************************************
See the file documentation.html for a complete explanation of all params
*/
/**************************************************************************
* General setings                                                         *
**************************************************************************/
$ppmPhotoDir       =  'my_photos';  // THE directory of your cats and gals
$ppmNukeType       =  'PostNuke';   // Nuke ONLY: 'PostNuke' or 'PHP-Nuke'
$ppmLanguage       =  'eng';   // ISO language code ('eng','fra')
$ppmMaxCols        =  5;       // Max number of columns
$ppmMaxWidth       =  600;     // Max sum of TN width per line
$ppmText           =  1;     // 1 to enable printing ML texts
$ppmPanic          =  1;     // 1 to show the panic link
$ppmAdminMail      =  'webmaster@mysite_com';  // standalone ONLY
$ppmColor['back']  =  '?';   // 'light' or 'dark'
$ppmColor['icon']  =  'blue';  // icons color: have a look in images/ppm
$ppmCopy['active'] =  1;         // 1 to print the Copyright line
$ppmCopy['name']   =  'Yann Courtaux';  // Copyright owner
$ppmCopy['year']   =  '2001';           // Copyright year

/**************************************************************************
* Main page layout                                                        *
**************************************************************************/
$ppmMain['info']        =  1;  // 1 to print welcome text of ppm_text.php
$ppmMain['thumb']       =  1;  // 1 to show TN present in the cat
$ppmMain['cat_text']    =  1;  // 1 to print ppm_main_text.php content
$ppmMain['cat_cols']    =  1;  // number of columns
$ppmMain['cat_align']   =  'left';  // 'left', 'right' or 'center'
$ppmMain['table_width'] =  '310';   // can be relative like '60%'
$ppmMain['disposition'] =  'mix';   // 'left', 'right' or 'mix'
$ppmMain['gal_count']   =  1;  // 1 to print number of gals in each categor
$ppmMain['refresh']     =  0;  // 1 to print refresh icon

/**************************************************************************
* Category page layout                                                    *
**************************************************************************/
$ppmCat['info']          =  1;  // 1 to print text of ppm_text.php
$ppmCat['gal_img_count'] =  1;  // 1 to print number of pics in each gal
$ppmCat['refresh']       =  1;  // 1 to print refresh icon
$ppmCat['random_thumb']  =  1;  // default is 1 for random thumb
$ppmCat['thumb_layout']  =  'mix';  // 'mix'(default),'top' or 'bottom'

/**************************************************************************
* Gallery page layout                                                     *
**************************************************************************/
$ppmGal['info']           =  1;  // 1 to print text of ppm_text.php
$ppmGal['img_number']     =  0;  // 1 to print the order of the picture
$ppmGal['img_name']       =  1;  // 1 to print the name of the picture
$ppmGal['img_size']       =  1;  // 1 to print the size of the picture
$ppmGal['img_resolution'] =  0;  // 1 to print resolution of the picture
$ppmGal['img_newline']    =  1;  // 1 to enable spliting of the line
$ppmGal['msg_tn_missing'] =  1;  // 1 to print error msg if TN are missing
$ppmGal['gal_links']      =  1;  // 1 to print the gal links at the bottom

/**************************************************************************
* Picture page layout                                                     *
**************************************************************************/
$ppmPic['gal_links']   =  0;  // 1 to print the gal links at the bottom
$ppmPic['text_at_top'] =  1;  // 0 to place text under the picture, 1 above

/**************************************************************************
* ThumbNails (TN) generation by GD library version 1 or 2                 *
**************************************************************************/
$ppmGd['generate'] =  1;   // 1 to enable TN generation
$ppmGd['tnheight'] =  100; // height of the generated TN in pixels
$ppmGd['jpegcomp'] =  80;  // JPEG compression factor of generated TN
$ppmGd['version2'] =  0;   // set it to 1 if you use GD 2.0 or up

/**************************************************************************
* Images, galleries and categories selection                              *
**************************************************************************/
$ppmDirOut =  '_vti_'; // Exclude dirs created by FrontPage extensions
$ppmJpg    =  1;       // 1 to process jpg files
$ppmJpeg   =  0;       // 1 to process jpeg files
$ppmPng    =  0;       // 1 to process png files
$ppmGif    =  0;       // 1 to process gif files

/**************************************************************************
*  DO NOT edit the following lines !                                      *
**************************************************************************/
define('PPM_DIR',$ppmPhotoDir);
define('PPM_VERSION','1.1.1');
define('PPMDBG',0);  // for debugging purposes, 1 to enable
?>
