<?php
/*****************************************************************************
 PiXfr Photo Module (PPM)  Version 1.1.1
 Photo galleries generator
 -----------------------------------------------------------------------------
 index file for PPM as a PostNuke or PHP-Nuke module
 -----------------------------------------------------------------------------
 Copyright (c) 2000,2001 by Yann Courtaux (pixman@pixfr.com)
 http://pixfr.com

 This program is free software.
 You can redistribute it and/or modify it under the terms of the GNU General
 Public License as published by the Free Software Foundation.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details
 (attached file LICENSE).
******************************************************************************/
define('PPM_EXT','.php'); /* PHP file extensions used on your site... */

if (!eregi('modules'.PPM_EXT, $PHP_SELF)) {
   die ("You can't access this file directly...");
}
if (!isset($mainfile)) {
    include('mainfile'.PPM_EXT);
}
												     /*
_PN_DIR  =  ABSOLUTE path of your PostNuke installation
ie /home/sites/mysite/ on unix, C:/sites/mysite/ on win32
If HTTP_SERVER_VARS["SCRIPT_FILENAME"] is not filed by your server, you'll have to hardcode _PN_DIR  */

define('_PN_DIR',eregi_replace('modules'.PPM_EXT,'',$HTTP_SERVER_VARS["SCRIPT_FILENAME"]));

// module relative paths
$ModName = basename( dirname( __FILE__ ) );
$ModDir  = 'modules/'.$ModName . '/';
$ModLangDir = $ModDir.'lang';
define('MOD_IMG_DIR',$ModDir.'images');

// How to call the module...
define('PPMF',"modules".PPM_EXT."?op=modload&amp;name=$ModName&amp;file=index");
define('PPMVAR','&amp;');

// PPM configuration file
include($ModDir.'config'.PPM_EXT);

// ML integration
if (isset($newlang)) {
   $lang = $newlang;
}

define('PPM_NUKE',$ppmNukeType);

/* ----------------------------------------------------
   PHP-Nuke compatibility
convert PostNuke ISO codes to PHP-Nuke language name */
function ppm_nuke_lang($lang_string)
{   global $ppmLanguage;
    // Add a line here if you use a new language file
    $language['english']   = 'eng';
    $language['french']    = 'fra';
    $language['spanish']   = 'spa';
    $language['italian']   = 'ita';
    $language['dutch']	   = 'dut';
    $language['german']    = 'ger';
    $result = $language[$lang_string];
    if($result>'  ') {
	return $language[$lang_string];
    } else {
	return $ppmLanguage;
    }
}
if(strtoupper(PPM_NUKE)!= 'POSTNUKE') {
   $lang	= ppm_nuke_lang($lang);
   $ppmLanguage = ppm_nuke_lang($ppmLanguage);
}
/* PHP-Nuke compatibility END
-----------------------------------------------------*/

// core standalone compatibility
$ppm_class_s = '';
$ppm_standalone = '';

// PPM CORE //
include($ModDir.'core'.PPM_EXT);

// Nuke Footer
include('footer'.PPM_EXT);
?>
